<?php

/*
  Plugin Name: DeMomentSomTres Portfolio
  Plugin URI: http://demomentsomtres.com/english/service-portfolio/
  Description: DeMomentSomTres Portfolio lets you show your portfolio linked to services
  Version: 1.0.5
  Author: DeMomentSomTres
  Author URI: http://DeMomentSomTres.com
  License: GPLv2 or later
 */

/*
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

define('DMST_PORTFOLIO_PLUGIN_URL', plugin_dir_url(__FILE__));
define('DMST_PORTFOLIO_PLUGIN_PATH', plugin_dir_path(__FILE__));
define('DMST_PORTFOLIO_LANG_DIR',dirname( plugin_basename( __FILE__ ) ).'/languages');
define('DMST_PORTFOLIO_TEXT_DOMAIN', 'DeMomentSomTres-Portfolio');
define('DMST_PORTFOLIO_OPTIONS', 'dmst_portfolio_options');

require_once DMST_PORTFOLIO_PLUGIN_PATH . 'functions.php';
require_once DMST_PORTFOLIO_PLUGIN_PATH . 'admin.php';
require_once DMST_PORTFOLIO_PLUGIN_PATH . 'widgets.php';

// Make sure we don't expose any info if called directly
if (!function_exists('add_action')) {
    echo "Hi there!  I'm just a plugin, not much I can do when called directly.";
    exit;
}

add_action('plugins_loaded','dmst_portfolio_plugin_init');

add_action('init', 'dmst_portfolio_custom_types');
add_action('init', 'dmst_portfolio_register_shortcode_scripts');
add_action('wp_footer', 'dmst_portfolio_print_scripts');

add_action('wp_enqueue_scripts', 'dmst_portfolio_redirect');

add_action('add_meta_boxes', 'demomentsomtres_portfolio_add_metaboxes');
add_action('save_post', 'demomentsomtres_portfolio_save_work');
add_action('save_post', 'demomentsomtres_portfolio_save_service');

add_shortcode('DeMomentSomTres-Portfolio-Services','demomentsomtres_portfolio_shortcode_services');
add_shortcode('DeMomentSomTres-Portfolio-Works','demomentsomtres_portfolio_shortcode_works');

//add_action('admin_head','demomentsomtres_portfolio_insert_buttons');

add_action('widgets_init', create_function('', 'return register_widget("DeMomentSomTresPortfolioWorksWidget");'));
?>