<?php

class DeMomentSomTresPortfolioWorksWidget extends WP_Widget {

    function DeMomentSomTresPortfolioWorksWidget() {
        parent::WP_Widget(false, $name = __('Works in current Service', DMST_PORTFOLIO_TEXT_DOMAIN));
    }

    function form($instance) {
        $title = esc_attr($instance['title']);
        $cols = isset($instance['cols']) ? $instance['cols'] : 4;
        $serviceID = isset($instance['serviceID']) ? $instance['serviceID'] : null;
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('cols'); ?>"><?php _e('Columns', DMST_PORTFOLIO_TEXT_DOMAIN); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('cols'); ?>" name="<?php echo $this->get_field_name('cols'); ?>" type="text" value="<?php echo $cols; ?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('serviceID'); ?>"><?php _e('Service ID', DMST_PORTFOLIO_TEXT_DOMAIN); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('serviceID'); ?>" name="<?php echo $this->get_field_name('serviceID'); ?>" type="text" value="<?php echo $serviceID; ?>" />
            <span class="small"><?php echo __('If left blank the current service will be taken into account',DMST_PORTFOLIO_TEXT_DOMAIN); ?></span>
        </p>
        <?php
    }

    function update($new_instance, $old_instance) {
        $new_instance['title'] = strip_tags($new_instance['title']);
        $new_instance['cols'] = isset($new_instance['cols']) ? $new_instance['cols'] : 4;
        $new_instance['serviceID'] = isset($new_instance['serviceID']) ? $new_instance['serviceID'] : null;
        return $new_instance;
    }

    function widget($args, $instance) {
        extract($args);
        global $post;
        echo $before_widget;
        $title = apply_filters('widget_title', $instance['title']);
        if ($title)
            echo $before_title . $title . $after_title;
        if (!isset($instance['serviceID']))
            $serviceID=$post->ID;
        else
            $serviceID=$instance['serviceID'];
        echo demomentsomtres_portfolio_shortcode_works(array(
                    'service' => $serviceID,
                    'cols' => $instance['cols']
                ));
        echo $after_widget;
    }

}
?>